# GET /notifications/{notification_id}/logs

**List logs for a notification**

Returns a paginated list of notification logs for a notification. A log includes information about delivery attempts, including failures.

Notifications older than 90 days aren't retained. If you try to list logs for a notification that's no longer retained, Paddle returns an error.

**Required permissions:** `notification.read`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `notification_id` | string | required | Paddle ID of the notification entity to work with. |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `after` | string | optional | Return entities after the specified Paddle ID when working with paginated endpoints. Used in the `meta.pagination.next` URL in responses for list operations. |
| `per_page` | integer | optional | Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check `meta.pagination.per_page` in the response to see how many were returned.

Default: `50`; Maximum: `200`. (Max: 200) |

## Response (200)

- `data`: array (required)
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
  - `pagination`: object (required) — Keys used for working with paginated results.
    - `per_page`: integer (required) — Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
    - `next`: string (uri) (required) — URL containing the query parameters of the original request, along with the `after` parameter that marks the starting point of the next page. Always returned, even if `has_more` is `false`.
    - `has_more`: boolean (required) — Whether this response has another page.
    - `estimated_total`: integer — Estimated number of entities for this response.

### Response example

```json
{
  "data": [
    {
      "id": "ntflog_01h8c0bswct46cwamynrzs6fwr",
      "response_code": 200,
      "response_content_type": "text/plain; charset=UTF-8",
      "response_body": "",
      "attempted_at": "2023-08-21T12:15:54.764232Z"
    },
    {
      "id": "ntflog_01h8c04xjj1ybcgsawp54h5zkr",
      "response_code": 404,
      "response_content_type": "application/json",
      "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}",
      "attempted_at": "2023-08-21T12:12:09.170559Z"
    },
    {
      "id": "ntflog_01h8bzyx2g57ywng4edfnpycya",
      "response_code": 404,
      "response_content_type": "application/json",
      "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}",
      "attempted_at": "2023-08-21T12:08:52.049462Z"
    },
    {
      "id": "ntflog_01h8bzsp45tvprvrra1jq5m2n5",
      "response_code": 404,
      "response_content_type": "application/json",
      "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}",
      "attempted_at": "2023-08-21T12:06:01.093936Z"
    },
    {
      "id": "ntflog_01h8bzn9vr2j0hav6bqjvmfhwj",
      "response_code": 404,
      "response_content_type": "application/json",
      "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}",
      "attempted_at": "2023-08-21T12:03:37.464996Z"
    },
    {
      "id": "ntflog_01h8bzhqdt790wtmepa10we4ed",
      "response_code": 404,
      "response_content_type": "application/json",
      "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}",
      "attempted_at": "2023-08-21T12:01:40.282965Z"
    },
    {
      "id": "ntflog_01h8bzey4xs3txscjw7td3793c",
      "response_code": 404,
      "response_content_type": "application/json",
      "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}",
      "attempted_at": "2023-08-21T12:00:08.861949Z"
    },
    {
      "id": "ntflog_01h8bzcx9gwtcvf000ngvacnnw",
      "response_code": 404,
      "response_content_type": "application/json",
      "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}",
      "attempted_at": "2023-08-21T11:59:02.448596Z"
    },
    {
      "id": "ntflog_01h8bzb80ns1dtwmjsx311ztcw",
      "response_code": 404,
      "response_content_type": "application/json",
      "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}",
      "attempted_at": "2023-08-21T11:58:07.893473Z"
    },
    {
      "id": "ntflog_01h8bzame8ykt2zw5a11mxs110",
      "response_code": 404,
      "response_content_type": "application/json",
      "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\",\"id\":null}}",
      "attempted_at": "2023-08-21T11:57:47.848991Z"
    }
  ],
  "meta": {
    "pagination": {
      "per_page": 50,
      "estimated_total": 10,
      "next": "https://api.paddle.com/notifications/ntf_01h8bzam1z32agrxjwhjgqk8w6/logs?after=ntflog_01h8bzame8ykt2zw5a11mxs110",
      "has_more": false
    },
    "request_id": "b12dc646-6131-4801-b76a-b717d1aff37c"
  }
}
```
